<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>SimFQT Documentation</title>
    <filename>main</filename>
    <docanchor file="main">development</docanchor>
    <docanchor file="main">about</docanchor>
    <docanchor file="main">at_sourceforge</docanchor>
    <docanchor file="main">getting_started</docanchor>
    <docanchor file="main">N</docanchor>
    <docanchor file="main">social_sponsorship</docanchor>
    <docanchor file="main">external_libs</docanchor>
  </compound>
  <compound kind="file">
    <name>authors.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>authors_8doc</filename>
  </compound>
  <compound kind="file">
    <name>codingrules.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>codingrules_8doc</filename>
  </compound>
  <compound kind="file">
    <name>copyright.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>copyright_8doc</filename>
  </compound>
  <compound kind="file">
    <name>documentation.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>documentation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>features.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>features_8doc</filename>
  </compound>
  <compound kind="file">
    <name>help_wanted.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>help__wanted_8doc</filename>
  </compound>
  <compound kind="file">
    <name>howto_release.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>howto__release_8doc</filename>
  </compound>
  <compound kind="file">
    <name>index.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>index_8doc</filename>
  </compound>
  <compound kind="file">
    <name>installation.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>installation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>linking.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>linking_8doc</filename>
  </compound>
  <compound kind="file">
    <name>test.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>test_8doc</filename>
  </compound>
  <compound kind="file">
    <name>users_guide.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>users__guide_8doc</filename>
  </compound>
  <compound kind="file">
    <name>verification.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/local/</path>
    <filename>verification_8doc</filename>
  </compound>
  <compound kind="file">
    <name>tutorial.doc</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/doc/tutorial/</path>
    <filename>tutorial_8doc</filename>
  </compound>
  <compound kind="file">
    <name>BasConst.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/basic/</path>
    <filename>BasConst_8cpp</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" imported="no">simfqt/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" imported="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <namespace>SIMFQT</namespace>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>c0ad3d38df40dacbc63fc96820a6a9de</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst_General.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/basic/</path>
    <filename>BasConst__General_8hpp</filename>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>BasConst_SIMFQT_Service.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/basic/</path>
    <filename>BasConst__SIMFQT__Service_8hpp</filename>
    <namespace>SIMFQT</namespace>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>c0ad3d38df40dacbc63fc96820a6a9de</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>simfqt_parseFareRules.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/batches/</path>
    <filename>simfqt__parseFareRules_8cpp</filename>
    <includes id="SIMFQT__Service_8hpp" name="SIMFQT_Service.hpp" local="no" imported="no">simfqt/SIMFQT_Service.hpp</includes>
    <member kind="typedef">
      <type>std::vector&lt; std::string &gt;</type>
      <name>WordList_T</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>950635e3678f52a96e96d48987d7bbf0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_SIMFQT_DEFAULT_LOG_FILENAME</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>abf4257a8681c2d03187c08b83af4e77</anchor>
      <arglist>(&quot;simfqt_parseFareRules.log&quot;)</arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>K_SIMFQT_DEFAULT_FARE_INPUT_FILENAME</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>6bc9086627402b470a9bb55168600894</anchor>
      <arglist>(STDAIR_SAMPLE_DIR&quot;/fare01.csv&quot;)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>1772ef9b3f0665605d4aea3794c7fde3</anchor>
      <arglist>(std::ostream &amp;os, const std::vector&lt; T &gt; &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readConfiguration</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>f36cb3455b6d1699aa391538ac72246b</anchor>
      <arglist>(int argc, char *argv[], bool &amp;ioIsBuiltin, stdair::Filename_T &amp;ioFareInputFilename, std::string &amp;ioLogFilename)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>K_SIMFQT_DEFAULT_BUILT_IN_INPUT</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>7ea6ff92f330e2466cb447fcae7da6ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>K_SIMFQT_EARLY_RETURN_STATUS</name>
      <anchorfile>simfqt__parseFareRules_8cpp.html</anchorfile>
      <anchor>2da964dfe91b72853ed7bfa1facf60ae</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FareRuleStruct.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/bom/</path>
    <filename>FareRuleStruct_8cpp</filename>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" imported="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareRuleStruct.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/bom/</path>
    <filename>FareRuleStruct_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>SIMFQT</namespace>
    <class kind="struct">SIMFQT::FareRuleStruct</class>
  </compound>
  <compound kind="file">
    <name>FareParser.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareParser_8cpp</filename>
    <includes id="FareParserHelper_8hpp" name="FareParserHelper.hpp" local="no" imported="no">simfqt/command/FareParserHelper.hpp</includes>
    <includes id="FareParser_8hpp" name="FareParser.hpp" local="no" imported="no">simfqt/command/FareParser.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareParser.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareParser_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FareParser</class>
  </compound>
  <compound kind="file">
    <name>FareParserHelper.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareParserHelper_8cpp</filename>
    <includes id="FareParserHelper_8hpp" name="FareParserHelper.hpp" local="no" imported="no">simfqt/command/FareParserHelper.hpp</includes>
    <includes id="FareRuleGenerator_8hpp" name="FareRuleGenerator.hpp" local="no" imported="no">simfqt/command/FareRuleGenerator.hpp</includes>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <class kind="struct">SIMFQT::FareParserHelper::FareRuleParser</class>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>c2c45e361c35596495735325fab8ae59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>409d0215881afddcbc4338c2bfc18764</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>1b74a533145fcd5fa74e3299d5f5790b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>0dd2e4ab4546d313f51aa9b2bcaea97f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>7a35afe45f7ec4f0fa20e2e5edf6b1bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>62e020a7bbcce3d0b3becb6dc0c3fdee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>e15727c53a23242e4beccd5c4bcf5e72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>288d0cc4e7ba6a3ea5a9dae4967837ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>21c943e2fae7b876a43b6de8f4866d5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>f70e69dab999b46ca9b7863f4b8875ad</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FareParserHelper.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareParserHelper_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" imported="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <class kind="struct">SIMFQT::FareParserHelper::ParserSemanticAction</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFareId</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeOrigin</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDestination</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeTripType</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeStart</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeEnd</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeStartRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeEndRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storePOS</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeCabinCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChannel</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAdvancePurchase</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeSaturdayStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChangeFees</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeNonRefundable</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeMinimumStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFare</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAirlineCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeClass</class>
    <class kind="struct">SIMFQT::FareParserHelper::doEndFare</class>
    <class kind="class">SIMFQT::FareRuleFileParser</class>
  </compound>
  <compound kind="file">
    <name>FareQuoter.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareQuoter_8cpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <includes id="FareQuoter_8hpp" name="FareQuoter.hpp" local="no" imported="no">simfqt/command/FareQuoter.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareQuoter.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareQuoter_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FareQuoter</class>
  </compound>
  <compound kind="file">
    <name>FareRuleGenerator.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareRuleGenerator_8cpp</filename>
    <includes id="FareRuleStruct_8hpp" name="FareRuleStruct.hpp" local="no" imported="no">simfqt/bom/FareRuleStruct.hpp</includes>
    <includes id="FareRuleGenerator_8hpp" name="FareRuleGenerator.hpp" local="no" imported="no">simfqt/command/FareRuleGenerator.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FareRuleGenerator.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>FareRuleGenerator_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <class kind="class">SIMFQT::FareRuleGenerator</class>
  </compound>
  <compound kind="file">
    <name>FacSimfqtServiceContext.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/factory/</path>
    <filename>FacSimfqtServiceContext_8cpp</filename>
    <includes id="FacSimfqtServiceContext_8hpp" name="FacSimfqtServiceContext.hpp" local="no" imported="no">simfqt/factory/FacSimfqtServiceContext.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" imported="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>FacSimfqtServiceContext.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/factory/</path>
    <filename>FacSimfqtServiceContext_8hpp</filename>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FacSimfqtServiceContext</class>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Service.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/service/</path>
    <filename>SIMFQT__Service_8cpp</filename>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" imported="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <includes id="FacSimfqtServiceContext_8hpp" name="FacSimfqtServiceContext.hpp" local="no" imported="no">simfqt/factory/FacSimfqtServiceContext.hpp</includes>
    <includes id="FareParser_8hpp" name="FareParser.hpp" local="no" imported="no">simfqt/command/FareParser.hpp</includes>
    <includes id="FareQuoter_8hpp" name="FareQuoter.hpp" local="no" imported="no">simfqt/command/FareQuoter.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" imported="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <includes id="SIMFQT__Service_8hpp" name="SIMFQT_Service.hpp" local="no" imported="no">simfqt/SIMFQT_Service.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_ServiceContext.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/service/</path>
    <filename>SIMFQT__ServiceContext_8cpp</filename>
    <includes id="BasConst__SIMFQT__Service_8hpp" name="BasConst_SIMFQT_Service.hpp" local="no" imported="no">simfqt/basic/BasConst_SIMFQT_Service.hpp</includes>
    <includes id="SIMFQT__ServiceContext_8hpp" name="SIMFQT_ServiceContext.hpp" local="no" imported="no">simfqt/service/SIMFQT_ServiceContext.hpp</includes>
    <namespace>SIMFQT</namespace>
  </compound>
  <compound kind="file">
    <name>SIMFQT_ServiceContext.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/service/</path>
    <filename>SIMFQT__ServiceContext_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::SIMFQT_ServiceContext</class>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Service.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/</path>
    <filename>SIMFQT__Service_8hpp</filename>
    <includes id="SIMFQT__Types_8hpp" name="SIMFQT_Types.hpp" local="no" imported="no">simfqt/SIMFQT_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::SIMFQT_Service</class>
  </compound>
  <compound kind="file">
    <name>SIMFQT_Types.hpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/</path>
    <filename>SIMFQT__Types_8hpp</filename>
    <namespace>SIMFQT</namespace>
    <class kind="class">SIMFQT::FareFileParsingFailedException</class>
    <class kind="class">SIMFQT::AirportPairNotFoundException</class>
    <class kind="class">SIMFQT::PosOrChannelNotFoundException</class>
    <class kind="class">SIMFQT::FlightDateNotFoundException</class>
    <class kind="class">SIMFQT::FlightTimeNotFoundException</class>
    <class kind="class">SIMFQT::FeaturesNotFoundException</class>
    <class kind="class">SIMFQT::AirlineNotFoundException</class>
    <class kind="class">SIMFQT::FareInputFileNotFoundException</class>
    <class kind="class">SIMFQT::QuotingException</class>
    <class kind="class">SIMFQT::FareFilePath</class>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>FareQuoteID_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>e4ae301ab4e68db6a0af530d92776d2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; SIMFQT_Service &gt;</type>
      <name>SIMFQT_ServicePtr_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>f200b04e7f5175261486954ad82e5f34</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>simfqt.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/ui/cmdline/</path>
    <filename>simfqt_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>FQTTestSuite.cpp</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/test/simfqt/</path>
    <filename>FQTTestSuite_8cpp</filename>
  </compound>
  <compound kind="page">
    <name>authors</name>
    <title>People</title>
    <filename>authors</filename>
    <docanchor file="authors">admins</docanchor>
    <docanchor file="authors">retired</docanchor>
    <docanchor file="main">N</docanchor>
    <docanchor file="authors">contributors</docanchor>
    <docanchor file="authors">distributors</docanchor>
  </compound>
  <compound kind="page">
    <name>coding_rules</name>
    <title>Coding Rules</title>
    <filename>coding_rules</filename>
    <docanchor file="coding_rules">cr_files</docanchor>
    <docanchor file="coding_rules">cr_classes</docanchor>
    <docanchor file="coding_rules">cr_variables</docanchor>
    <docanchor file="coding_rules">cr_functions</docanchor>
    <docanchor file="coding_rules">cr_classes_functionality</docanchor>
  </compound>
  <compound kind="page">
    <name>copyright</name>
    <title>Copyright and License</title>
    <filename>copyright</filename>
    <docanchor file="copyright">nowarranty</docanchor>
    <docanchor file="copyright">preamble</docanchor>
    <docanchor file="copyright">endofterms</docanchor>
    <docanchor file="copyright">gnugpl</docanchor>
    <docanchor file="copyright">howtoapply</docanchor>
    <docanchor file="copyright">version</docanchor>
    <docanchor file="copyright">terms</docanchor>
  </compound>
  <compound kind="page">
    <name>documentation</name>
    <title>Documentation Rules</title>
    <filename>documentation</filename>
    <docanchor file="documentation">doc_header</docanchor>
    <docanchor file="documentation">doc_groups</docanchor>
    <docanchor file="documentation">doc_general</docanchor>
  </compound>
  <compound kind="page">
    <name>features</name>
    <title>Main features</title>
    <filename>features</filename>
    <docanchor file="features">ft_fare_rule_engine</docanchor>
    <docanchor file="features">ft_others</docanchor>
    <docanchor file="features">ft_fare_calculation</docanchor>
    <docanchor file="features">ft_fare_retrieval</docanchor>
  </compound>
  <compound kind="page">
    <name>help_wanted</name>
    <title>Make a Difference</title>
    <filename>help_wanted</filename>
  </compound>
  <compound kind="page">
    <name>howto_release</name>
    <title>Make a new release</title>
    <filename>howto_release</filename>
    <docanchor file="howto_release">send_announce</docanchor>
    <docanchor file="howto_release">upload_files</docanchor>
    <docanchor file="howto_release">create_bin_packages</docanchor>
    <docanchor file="howto_release">update_changelog</docanchor>
    <docanchor file="howto_release">branch_creation</docanchor>
    <docanchor file="howto_release">post_news</docanchor>
    <docanchor file="howto_release">branch_publish</docanchor>
    <docanchor file="howto_release">create_packages</docanchor>
    <docanchor file="howto_release">generate_rpm_packages</docanchor>
    <docanchor file="howto_release">upload_doc</docanchor>
    <docanchor file="howto_release">initialisation</docanchor>
    <docanchor file="howto_release">description</docanchor>
  </compound>
  <compound kind="page">
    <name>installation</name>
    <title>Installation</title>
    <filename>installation</filename>
    <docanchor file="installation">basic_instructions</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="installation">compilers</docanchor>
    <docanchor file="installation">installation_names</docanchor>
    <docanchor file="installation">sharing_defaults</docanchor>
    <docanchor file="installation">compiling_for_multi_arch</docanchor>
    <docanchor file="installation">requirements</docanchor>
    <docanchor file="installation">cmake_invocation</docanchor>
    <docanchor file="installation">optional_features</docanchor>
    <docanchor file="installation">defining_variables</docanchor>
    <docanchor file="installation">specifying_system_type</docanchor>
    <docanchor file="installation">particular_systems</docanchor>
    <docanchor file="installation">rpm_linux</docanchor>
  </compound>
  <compound kind="page">
    <name>linking</name>
    <title>Linking with SimFQT</title>
    <filename>linking</filename>
    <docanchor file="linking">dependencies</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="verification">intro</docanchor>
    <docanchor file="linking">pkgconfig</docanchor>
    <docanchor file="linking">dynamiclinking</docanchor>
    <docanchor file="linking">autotools</docanchor>
    <docanchor file="linking">simfqt_config</docanchor>
    <docanchor file="linking">stdairdep</docanchor>
  </compound>
  <compound kind="page">
    <name>test</name>
    <title>Test Rules</title>
    <filename>test</filename>
    <docanchor file="test">test_file</docanchor>
    <docanchor file="test">reference_file</docanchor>
    <docanchor file="test">testing_using_make</docanchor>
  </compound>
  <compound kind="page">
    <name>users_guide</name>
    <title>Users Guide</title>
    <filename>users_guide</filename>
    <docanchor file="users_guide">ug_procedure_bookingrequest</docanchor>
    <docanchor file="users_guide">ug_build_binaries</docanchor>
    <docanchor file="users_guide">ug_error_message</docanchor>
    <docanchor file="users_guide">ug_bom_structure</docanchor>
    <docanchor file="users_guide">ug_error_message_input_not_found</docanchor>
    <docanchor file="users_guide">ug_inputfile</docanchor>
    <docanchor file="users_guide">ug_bom_build</docanchor>
    <docanchor file="users_guide">ug_introduction</docanchor>
    <docanchor file="users_guide">ug_procedure</docanchor>
    <docanchor file="users_guide">ug_error_message_missing_fare_rule</docanchor>
    <docanchor file="users_guide">ug_bom_display</docanchor>
    <docanchor file="users_guide">ug_get_started</docanchor>
    <docanchor file="users_guide">ug_toc</docanchor>
    <docanchor file="users_guide">ug_get_source</docanchor>
    <docanchor file="users_guide">ug_bom_bom</docanchor>
    <docanchor file="users_guide">ug_install_project</docanchor>
    <docanchor file="users_guide">ug_build_and_run_tests</docanchor>
    <docanchor file="users_guide">ug_error_message_input_not_parsed</docanchor>
    <docanchor file="users_guide">ug_procedure_fareQuote</docanchor>
    <docanchor file="users_guide">ug_procedure_travelsolution</docanchor>
  </compound>
  <compound kind="page">
    <name>verification</name>
    <title>Supported Systems</title>
    <filename>verification</filename>
    <docanchor file="verification">cygwin_atlas</docanchor>
    <docanchor file="verification">gentoo_acml</docanchor>
    <docanchor file="verification">fedora_atlas</docanchor>
    <docanchor file="verification">simfqt_3_10</docanchor>
    <docanchor file="verification">gentoo_netlib</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="verification">gentoo_mkl</docanchor>
    <docanchor file="verification">intro</docanchor>
    <docanchor file="verification">windows</docanchor>
    <docanchor file="verification">unix</docanchor>
    <docanchor file="verification">cygwin_acml</docanchor>
    <docanchor file="verification">cygwin</docanchor>
    <docanchor file="verification">suse_netlib</docanchor>
    <docanchor file="verification">mingw_netlib</docanchor>
    <docanchor file="verification">msvc_mkl</docanchor>
    <docanchor file="verification">sunos59</docanchor>
    <docanchor file="verification">suse_mkl</docanchor>
    <docanchor file="verification">rhel</docanchor>
    <docanchor file="verification">linux</docanchor>
    <docanchor file="verification">mingw_acml</docanchor>
    <docanchor file="verification">gentoo_atlas</docanchor>
  </compound>
  <compound kind="page">
    <name>verification_old</name>
    <title>SimFQT Supported Systems (Previous Releases)</title>
    <filename>verification_old</filename>
    <docanchor file="verification_old">simfqt_3_8_1</docanchor>
    <docanchor file="verification_old">simfqt_3_9_0</docanchor>
    <docanchor file="verification_old">simfqt_3_9_1</docanchor>
  </compound>
  <compound kind="page">
    <name>tutorials</name>
    <title>Tutorials</title>
    <filename>tutorials</filename>
    <docanchor file="tutorials">tut_how_fare_quoting_result</docanchor>
    <docanchor file="tutorials">tut_how_fare_quoting_file</docanchor>
    <docanchor file="tutorials">tut_procedure_results</docanchor>
    <docanchor file="tutorials">tut_how_fare_quoting</docanchor>
    <docanchor file="tutorials">tut_configuration</docanchor>
    <docanchor file="tutorials">tut_how_build_fare_file</docanchor>
    <docanchor file="tutorials">tut_procedure_summary</docanchor>
    <docanchor file="tutorials">tut_procedure</docanchor>
    <docanchor file="tutorials">tut_toc</docanchor>
  </compound>
  <compound kind="page">
    <name>FQTTestSuite_cpp</name>
    <title>Command-Line Test to Demonstrate How To Test the SimFQT Project</title>
    <filename>FQTTestSuite_cpp</filename>
  </compound>
  <compound kind="class">
    <name>boost::spirit::qi::grammar</name>
    <filename>classboost_1_1spirit_1_1qi_1_1grammar.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::CmdAbstract</name>
    <filename>classstdair_1_1CmdAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::FacServiceAbstract</name>
    <filename>classstdair_1_1FacServiceAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::FileNotFoundException</name>
    <filename>classstdair_1_1FileNotFoundException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::InputFilePath</name>
    <filename>classstdair_1_1InputFilePath.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ObjectNotFoundException</name>
    <filename>classstdair_1_1ObjectNotFoundException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ParsingFileFailedException</name>
    <filename>classstdair_1_1ParsingFileFailedException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::RootException</name>
    <filename>classstdair_1_1RootException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ServiceAbstract</name>
    <filename>classstdair_1_1ServiceAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::StructAbstract</name>
    <filename>classstdair_1_1StructAbstract.html</filename>
  </compound>
  <compound kind="namespace">
    <name>SIMFQT</name>
    <filename>namespaceSIMFQT.html</filename>
    <class kind="struct">SIMFQT::FareRuleStruct</class>
    <class kind="class">SIMFQT::FareParser</class>
    <class kind="class">SIMFQT::FareRuleFileParser</class>
    <class kind="class">SIMFQT::FareQuoter</class>
    <class kind="class">SIMFQT::FareRuleGenerator</class>
    <class kind="class">SIMFQT::FacSimfqtServiceContext</class>
    <class kind="class">SIMFQT::SIMFQT_ServiceContext</class>
    <class kind="class">SIMFQT::SIMFQT_Service</class>
    <class kind="class">SIMFQT::FareFileParsingFailedException</class>
    <class kind="class">SIMFQT::AirportPairNotFoundException</class>
    <class kind="class">SIMFQT::PosOrChannelNotFoundException</class>
    <class kind="class">SIMFQT::FlightDateNotFoundException</class>
    <class kind="class">SIMFQT::FlightTimeNotFoundException</class>
    <class kind="class">SIMFQT::FeaturesNotFoundException</class>
    <class kind="class">SIMFQT::AirlineNotFoundException</class>
    <class kind="class">SIMFQT::FareInputFileNotFoundException</class>
    <class kind="class">SIMFQT::QuotingException</class>
    <class kind="class">SIMFQT::FareFilePath</class>
    <namespace>SIMFQT::FareParserHelper</namespace>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>FareQuoteID_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>e4ae301ab4e68db6a0af530d92776d2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; SIMFQT_Service &gt;</type>
      <name>SIMFQT_ServicePtr_T</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>f200b04e7f5175261486954ad82e5f34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>c0ad3d38df40dacbc63fc96820a6a9de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_FARE_QUOTER_ID</name>
      <anchorfile>namespaceSIMFQT.html</anchorfile>
      <anchor>c0ad3d38df40dacbc63fc96820a6a9de</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareRuleStruct</name>
    <filename>structSIMFQT_1_1FareRuleStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type></type>
      <name>FareRuleStruct</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>f442fbf35cc3ecbd349d8dd01e03b39b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SIMFQT::FareQuoteID_T</type>
      <name>getFareID</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>9155a406fc1c228324a3d517fa1207d3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getOrigin</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>6c32828a4bac6be4d82307c5f5946721</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirportCode_T</type>
      <name>getDestination</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>1a547068f380be02e21f32241546db5e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::TripType_T</type>
      <name>getTripType</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a2f35e7b742f7f26e047e2d72651ed25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>93a99068f6e5c875a82c1f0d6977535d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>c5e1574cb52adf616c155263b5525b73</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>d8af37fa3ee1746073155cdadff394fd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTimeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>16f7bcfe3cb79a747c5eb6d237350026</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::CabinCode_T</type>
      <name>getCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>53c8a3ad0e63fb05e5338d5950b4a34d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const stdair::CityCode_T</type>
      <name>getPOS</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>192e0fb08acb33b6cccec7eecb39f5ae</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ChannelLabel_T</type>
      <name>getChannel</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a6a38cddb767b102df4132b9d77bc6ff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::DayDuration_T</type>
      <name>getAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>51b0313a98fe173202a4e5afa8a15258</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::SaturdayStay_T</type>
      <name>getSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>80c0d46f33a0b6d95ed0cec9b58ba5aa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ChangeFees_T</type>
      <name>getChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>6da591281d4633642d5a59055b498124</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::NonRefundable_T</type>
      <name>getNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>7ba75bde5e243708f785919f4230ffee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::DayDuration_T</type>
      <name>getMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>b4d49a44117a1d5898f0cab64c65d56c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::PriceValue_T</type>
      <name>getFare</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>5133c6e0a3566802666a4fb368cc5b09</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCode_T</type>
      <name>getAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>b2dc71a7f4ddaffbce62716be84e072d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassCode_T</type>
      <name>getClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>1129262acf31a7e6795af612d536ec12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getAirlineListSize</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>2874e248aeaafba46313bb54153a42c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getClassCodeListSize</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>257e4ba6e403d231ae969fc249d71f85</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCodeList_T</type>
      <name>getAirlineList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>4548cb1efb7aecc7374358f8cce2cb75</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::ClassList_StringList_T</type>
      <name>getClassCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a162cc6f35c9db189cd4486e64e62d3f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>calculateDate</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a0b23a13fce1b6226a67090f28efed0b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>calculateTime</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>b080ecceefc35766a4f3427ba9d822fd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>6dba2cafb511e1d9c1a8a4b7818f81ab</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFareID</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>dea068c3a9232698d2eea36792cc4991</anchor>
      <arglist>(const SIMFQT::FareQuoteID_T &amp;iFareQuoteID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrigin</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>f616e38345705aa2f2ad6708fe113653</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iOrigin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDestination</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>da412d1299b561db3890212fd3bd3932</anchor>
      <arglist>(const stdair::AirportCode_T &amp;iDestination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTripType</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>120dc3f8af0128ad314e628b2aa434a7</anchor>
      <arglist>(const stdair::TripType_T &amp;iTripType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>3c9ca6b1ffe709924f1f1c270bb79f28</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>be7336e9d68d18fed52761df4e0cdeab</anchor>
      <arglist>(const stdair::Date_T &amp;iDateRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>dac4fed0a039780d0a0d379c87851573</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeStart)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTimeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>30f6dd6c6c162eda8745e0211a3707fe</anchor>
      <arglist>(const stdair::Duration_T &amp;iTimeRangeEnd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>f0f65bf3fd267bac7023015feb12a676</anchor>
      <arglist>(const stdair::CabinCode_T &amp;iCabinCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPOS</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>a40c327947c66db07cfc42773a5ddae3</anchor>
      <arglist>(const stdair::CityCode_T &amp;iPOS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChannel</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>dffe221ed110a0eb05ab4046317d8db6</anchor>
      <arglist>(const stdair::ChannelLabel_T &amp;iChannel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>733b45b26a25389807dc3e11ef9d8a90</anchor>
      <arglist>(const stdair::DayDuration_T &amp;iAdvancePurchase)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>2ef046b0088d04d004ca9cb77be61c3c</anchor>
      <arglist>(const stdair::SaturdayStay_T &amp;iSaturdayStay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>6dce9d00b1d2a6295a762c9cd42758b6</anchor>
      <arglist>(const stdair::ChangeFees_T &amp;iChangeFees)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bad2ec70207672421a271c78fa187a81</anchor>
      <arglist>(const stdair::NonRefundable_T &amp;iNonRefundable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>f2b0c2f999a80207d9637f1f7a93ccd9</anchor>
      <arglist>(const stdair::DayDuration_T &amp;iMinimumStay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFare</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>7f54ee5d1539ffc939b95c87942d1104</anchor>
      <arglist>(const stdair::PriceValue_T &amp;iFare)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>2af5dd30d655cf2149f81889779e4bbf</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8e8d7b9fb5345b1cdc77f59ec8b7f527</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAirlineCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>738bb6be882ad15fa4437443e97b4feb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearClassCodeList</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8021e3348f8ad246e03be05da6e731a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>8da28b5691ba175146f6a5943e1b2cb2</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addClassCode</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>2f629254cd705157283931675da23dc0</anchor>
      <arglist>(const stdair::ClassCode_T &amp;iClassCode)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_t</type>
      <name>_itYear</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>ae92e30c4940e25c5d69d40e10450a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_t</type>
      <name>_itMonth</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>678ed8afd159eb564f8273c91cc1efe4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_t</type>
      <name>_itDay</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>bd6e65c6954941ad07bbef17df9b5b49</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_t</type>
      <name>_itHours</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>d4e8749ea4241a5699f5e3ff19f62a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_t</type>
      <name>_itMinutes</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>d94ddb13ac2fb88331f0da94c69bd486</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_t</type>
      <name>_itSeconds</name>
      <anchorfile>structSIMFQT_1_1FareRuleStruct.html</anchorfile>
      <anchor>cf6d1f98de6ba8b358740bf206520cea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareParser</name>
    <filename>classSIMFQT_1_1FareParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fareRuleGeneration</name>
      <anchorfile>classSIMFQT_1_1FareParser.html</anchorfile>
      <anchor>2188fe62d99b80543cf18be79b67d642</anchor>
      <arglist>(const FareFilePath &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareRuleFileParser</name>
    <filename>classSIMFQT_1_1FareRuleFileParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function">
      <type></type>
      <name>FareRuleFileParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleFileParser.html</anchorfile>
      <anchor>8273bbd2fbcbd2f68b417caca64a62f3</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateFareRules</name>
      <anchorfile>classSIMFQT_1_1FareRuleFileParser.html</anchorfile>
      <anchor>744ade1ead866453192c44d3e3e5e581</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareQuoter</name>
    <filename>classSIMFQT_1_1FareQuoter.html</filename>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1FareQuoter.html</anchorfile>
      <anchor>6c343747a3d8ec740c0a3beed1c02db9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareRuleGenerator</name>
    <filename>classSIMFQT_1_1FareRuleGenerator.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FareFileParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>d5bbd226e7dca5e9fa4443f5e6120e4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>FareParserHelper::doEndFare</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>537fbe61a9f02dd46572bdd9448a76ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FareParser</name>
      <anchorfile>classSIMFQT_1_1FareRuleGenerator.html</anchorfile>
      <anchor>32036ac84dc930fc6972ad610c91dc52</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FacSimfqtServiceContext</name>
    <filename>classSIMFQT_1_1FacSimfqtServiceContext.html</filename>
    <base>stdair::FacServiceAbstract</base>
    <member kind="function">
      <type></type>
      <name>~FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>be044f63802343e47c9dc80ab7dc0afd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SIMFQT_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>084adf23171d41b7da5477be8c328abc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacSimfqtServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>46a6d715833a148a6f95af37d7e3f816</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1FacSimfqtServiceContext.html</anchorfile>
      <anchor>a6a7a37f6a4147e71f6b2e7eca7ba12e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::SIMFQT_ServiceContext</name>
    <filename>classSIMFQT_1_1SIMFQT__ServiceContext.html</filename>
    <base>stdair::ServiceAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__ServiceContext.html</anchorfile>
      <anchor>6c343747a3d8ec740c0a3beed1c02db9</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacSimfqtServiceContext</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__ServiceContext.html</anchorfile>
      <anchor>db7d54c3b8e1508bd91c62d6d28f1dc9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::SIMFQT_Service</name>
    <filename>classSIMFQT_1_1SIMFQT__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>4e3b8de725d5eb3b171c09dc0505ca61</anchor>
      <arglist>(const stdair::BasLogParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>df47dc2e11153b14b9cc2cc93be62168</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>8f93291393300af0b1a18f931cd1fbd4</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T ioSTDAIR_ServicePtr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>9148321c12a008aa19ac0c8b459bef0f</anchor>
      <arglist>(const FareFilePath &amp;iFareFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SIMFQT_Service</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>dfb366bab95445b804d97bf65abf30d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>9fa8be17ff60060e02ad7da4918bbb2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clonePersistentBom</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>0d9466452f6bcaf6fa30687cff32a11d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildComplementaryLinks</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>36a09d7c9a93c03e76b65c1f7cce2b34</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>stdair::BookingRequestStruct</type>
      <name>buildBookingRequest</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>b5cd5f9e666420a26df7f8c61af9385f</anchor>
      <arglist>(const bool isForCRS=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleTravelSolutions</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>47336ba759d301acc656331a7f9d1e51</anchor>
      <arglist>(stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>quotePrices</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>cf51021e192e43159379edd0d0801319</anchor>
      <arglist>(const stdair::BookingRequestStruct &amp;, stdair::TravelSolutionList_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>5e22e0697e1eded6b5e23de900022ea2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>74c8071c295e3c3b3181eeba3e11b194</anchor>
      <arglist>(const stdair::TravelSolutionList_T &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>c50867abb9be78e41f7024e1f19237ec</anchor>
      <arglist>(const stdair::AirportCode_T &amp;ioOrigin, const stdair::AirportCode_T &amp;ioDestination, const stdair::Date_T &amp;ioDepartureDate) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>list</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>e1534c3bc55ef6444843505a9442aa47</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>check</name>
      <anchorfile>classSIMFQT_1_1SIMFQT__Service.html</anchorfile>
      <anchor>10617484d9b75992dff561c96690986f</anchor>
      <arglist>(const stdair::AirportCode_T &amp;ioOrigin, const stdair::AirportCode_T &amp;ioDestination, const stdair::Date_T &amp;ioDepartureDate) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareFileParsingFailedException</name>
    <filename>classSIMFQT_1_1FareFileParsingFailedException.html</filename>
    <base>stdair::ParsingFileFailedException</base>
    <member kind="function">
      <type></type>
      <name>FareFileParsingFailedException</name>
      <anchorfile>classSIMFQT_1_1FareFileParsingFailedException.html</anchorfile>
      <anchor>39f9a1fd6cbbd66278aa784398c91690</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::AirportPairNotFoundException</name>
    <filename>classSIMFQT_1_1AirportPairNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>AirportPairNotFoundException</name>
      <anchorfile>classSIMFQT_1_1AirportPairNotFoundException.html</anchorfile>
      <anchor>e1371b405ede6ef985c6470614b35dd3</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::PosOrChannelNotFoundException</name>
    <filename>classSIMFQT_1_1PosOrChannelNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>PosOrChannelNotFoundException</name>
      <anchorfile>classSIMFQT_1_1PosOrChannelNotFoundException.html</anchorfile>
      <anchor>bf58498be1cfdebe5abcaa231b9da9b8</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FlightDateNotFoundException</name>
    <filename>classSIMFQT_1_1FlightDateNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FlightDateNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FlightDateNotFoundException.html</anchorfile>
      <anchor>3c6dec9020ef5a723ff3fa01cd9ac847</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FlightTimeNotFoundException</name>
    <filename>classSIMFQT_1_1FlightTimeNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FlightTimeNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FlightTimeNotFoundException.html</anchorfile>
      <anchor>4976887f1ade9aee38978fc13cd7e4db</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FeaturesNotFoundException</name>
    <filename>classSIMFQT_1_1FeaturesNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FeaturesNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FeaturesNotFoundException.html</anchorfile>
      <anchor>1371f29f22efe7854593ca946a7d56bd</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::AirlineNotFoundException</name>
    <filename>classSIMFQT_1_1AirlineNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>AirlineNotFoundException</name>
      <anchorfile>classSIMFQT_1_1AirlineNotFoundException.html</anchorfile>
      <anchor>d7464743b412dba12eb7d4b3685e5c78</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareInputFileNotFoundException</name>
    <filename>classSIMFQT_1_1FareInputFileNotFoundException.html</filename>
    <base>stdair::FileNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FareInputFileNotFoundException</name>
      <anchorfile>classSIMFQT_1_1FareInputFileNotFoundException.html</anchorfile>
      <anchor>80727fd4c61587e4886d5227c7e5b512</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SIMFQT::QuotingException</name>
    <filename>classSIMFQT_1_1QuotingException.html</filename>
    <base>stdair::RootException</base>
  </compound>
  <compound kind="class">
    <name>SIMFQT::FareFilePath</name>
    <filename>classSIMFQT_1_1FareFilePath.html</filename>
    <base>stdair::InputFilePath</base>
    <member kind="function">
      <type></type>
      <name>FareFilePath</name>
      <anchorfile>classSIMFQT_1_1FareFilePath.html</anchorfile>
      <anchor>2b9b717c769bce3d838dcd4bb9ce88c5</anchor>
      <arglist>(const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>SIMFQT::FareParserHelper</name>
    <filename>namespaceSIMFQT_1_1FareParserHelper.html</filename>
    <class kind="struct">SIMFQT::FareParserHelper::FareRuleParser</class>
    <class kind="struct">SIMFQT::FareParserHelper::ParserSemanticAction</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFareId</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeOrigin</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDestination</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeTripType</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeStart</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeDateRangeEnd</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeStartRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeEndRangeTime</class>
    <class kind="struct">SIMFQT::FareParserHelper::storePOS</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeCabinCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChannel</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAdvancePurchase</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeSaturdayStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeChangeFees</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeNonRefundable</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeMinimumStay</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeFare</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeAirlineCode</class>
    <class kind="struct">SIMFQT::FareParserHelper::storeClass</class>
    <class kind="struct">SIMFQT::FareParserHelper::doEndFare</class>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>c2c45e361c35596495735325fab8ae59</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>409d0215881afddcbc4338c2bfc18764</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>1b74a533145fcd5fa74e3299d5f5790b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>0dd2e4ab4546d313f51aa9b2bcaea97f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>7a35afe45f7ec4f0fa20e2e5edf6b1bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>62e020a7bbcce3d0b3becb6dc0c3fdee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>e15727c53a23242e4beccd5c4bcf5e72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>288d0cc4e7ba6a3ea5a9dae4967837ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>21c943e2fae7b876a43b6de8f4866d5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceSIMFQT_1_1FareParserHelper.html</anchorfile>
      <anchor>f70e69dab999b46ca9b7863f4b8875ad</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::FareRuleParser</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</filename>
    <templarg>Iterator</templarg>
    <base>boost::spirit::qi::grammar</base>
    <member kind="function">
      <type></type>
      <name>FareRuleParser</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>20e036863d7e630d54b39c0744701ccc</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, FareRuleStruct &amp;iofareRule)</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>start</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>6f27780e09ea56e377caeed77aad1510</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>comments</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>67fd5b75293bc4cf64b84ae806c0423f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_rule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>52dc427e98dd07a15e43789f426e8147</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_rule_end</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>915eb989c9f2251dcc451e1803899791</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_key</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ce815d1b249cc716b3bc10d354afafd5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare_id</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>5c5168eabff69c5a71ebe76e5b25831b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>origin</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>2240ca72e6f5d495e0a3e6f557939245</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>destination</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>1cd934c0f4fb403dd81b7aef35628fcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>tripType</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>26943f0faf878ff1cb9183b34446cdb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>1fefde9f179f4a39a65877de3007ba8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ad45718c60627382d20db035e113e3c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>date</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>d19c65e43c3c7f18e8e9ff66fdecc784</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>58369ab984d7f6387ed50037486c3faf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>cedbd17680a60bc53e306348af37fbd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>time</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>a2eecd20f85934835f8801ac4d1ed82c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>point_of_sale</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>79bb21c64756e92852c0b661b703f7b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>cabinCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>b8748d2381089d02ea1b1c43a9acc02e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>channel</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>1ce27b4d6277dc95abc224a04ac56cc4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>advancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>f5295d89f68fe2396afe5320f553f9b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>saturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>d5e12ea8fe252fdd9c0494b68ee3dcbe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>changeFees</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>ca1bcdce366f18e8a1aefea2f7f2147c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>nonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>58fb228cc3e9456b9a0b6c03f6060945</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>minimumStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>9d631b96b4c918385aa809aa6379dd24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>fare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>cdc66cc9d4cf6e1f7bdbabdad90728b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; Iterator, boost::spirit::ascii::space_type &gt;</type>
      <name>segment</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>199707688b3c28a86532bc97ed58c7b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>317a1081327fd5717057fb4176e41cb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1FareRuleParser.html</anchorfile>
      <anchor>eed0ae381c9f9e7fafba68332573dbcd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::ParserSemanticAction</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>b9575ee5a6de78cffc12eaba1c3f15da</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeFareId</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFareId</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</anchorfile>
      <anchor>eb528333216a4499f6fa791c19514f86</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFareId.html</anchorfile>
      <anchor>d4981e2928b103e1ff069586eb0733d1</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeOrigin</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOrigin</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>f08e039420b154d67dd05e97da9d84c5</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>2c5829bf84287bd33fa90353c1e080ba</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDestination</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDestination</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>d5d85f03c8036dcd9bba774be95648ff</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>20ad3c4b5233edd7212f7bc20699fd43</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeTripType</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeTripType</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>1f1aa2b2e85147b3a294d14680a84d19</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeTripType.html</anchorfile>
      <anchor>be1ec0f9a9c0d542f88bf3cbac4ae855</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDateRangeStart</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>3bd2293fe9e23f5e6e38e5debaa8b9ea</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>be081f39d9a94823668d9a47ef221f04</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeDateRangeEnd</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>b78e9e7123c1cf8c97aa3394f9acbf14</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>3fbbbda31610925db38168d80c05ce4a</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeStartRangeTime</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeStartRangeTime</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>5764e21a215c9ce591968cc6abcf011b</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>f100803a13612b12b3e68382e75ec69b</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeEndRangeTime</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeEndRangeTime</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>ee7c3cb01f514548781bec49c7f0214d</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>d3f2e0a1df88c0a9c6d944f6d8c3323a</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storePOS</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storePOS</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</anchorfile>
      <anchor>b981eb79e6e12efda80a63b315538569</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storePOS.html</anchorfile>
      <anchor>2fcc8a96c17ce417ccfcebc8df11b79f</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeCabinCode</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCabinCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>893e7597a57dd3004522c18947dad1ec</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>0c0afe0d9e0ebb32903254ffce23fab8</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeChannel</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChannel</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>02c68c434aeb6a5afba8b35f50a77032</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>18f864c0478c78f6070d2725ccd25e68</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeAdvancePurchase</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAdvancePurchase</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>17d3dbe0462a0d2ecbb087d638ef6e68</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>04862f0b770806317739de542fd5f8b7</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeSaturdayStay</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSaturdayStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>a49247df2dd52037d0e033b6e7f665f9</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>0987de5fe35144a073d99f3d857605e8</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeChangeFees</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChangeFees</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>85ca432639a925b81d1ca890bec2aaae</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>1c939cc1d7228e44a70c5472fdcdba1d</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeNonRefundable</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNonRefundable</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>98dc12e26d81a5cf9cf09c8da69774ec</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>0df17982d481a6e7ecaa1441e80256d3</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeMinimumStay</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeMinimumStay</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>49c878b2a409617489b91d30dd4d4112</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>6858942e48b4888ef07087ec93ba621f</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeFare</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</anchorfile>
      <anchor>359d352826120dfcd9c8847d84c72a3e</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeFare.html</anchorfile>
      <anchor>57c07ee36324efc921dabb35f05c7b2a</anchor>
      <arglist>(double, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeAirlineCode</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>17368ea49a8390e8947c12fe86b7f635</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>221a90b1d53eb99002693a21e3d48ad9</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::storeClass</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClass</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</anchorfile>
      <anchor>c14bca9684dbe74afcbcb6d488a35fdc</anchor>
      <arglist>(FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1storeClass.html</anchorfile>
      <anchor>e08dcb1a61940c899fb8e36710b4aad7</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>SIMFQT::FareParserHelper::doEndFare</name>
    <filename>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</filename>
    <base>SIMFQT::FareParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndFare</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>39aaf7afbffc4231e97b1b0b3623bcd8</anchor>
      <arglist>(stdair::BomRoot &amp;, FareRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>5a2d75d25d92655cead38d51b07273ea</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1doEndFare.html</anchorfile>
      <anchor>a8ff4cc46c46968ea5444ba51968bcfa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareRuleStruct &amp;</type>
      <name>_fareRule</name>
      <anchorfile>structSIMFQT_1_1FareParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>94f2a5977e90afa3dbe02e99e6f5bcda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>stdair</name>
    <filename>namespacestdair.html</filename>
  </compound>
  <compound kind="dir">
    <name>simfqt/basic/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/basic/</path>
    <filename>dir_178ca401745809fe384eb46f46a42ab0.html</filename>
    <file>BasConst.cpp</file>
    <file>BasConst_General.hpp</file>
    <file>BasConst_SIMFQT_Service.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/batches/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/batches/</path>
    <filename>dir_93fd0a389e3f60e81fc498dda2456a4c.html</filename>
    <file>simfqt_parseFareRules.cpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/bom/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/bom/</path>
    <filename>dir_42c241341f55c64c53b957a8e7af0a57.html</filename>
    <file>FareRuleStruct.cpp</file>
    <file>FareRuleStruct.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/ui/cmdline/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/ui/cmdline/</path>
    <filename>dir_8f0dcebb70d5c4732f6f80dbab74e90f.html</filename>
    <file>simfqt.cpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/command/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/command/</path>
    <filename>dir_c6dd05f00054fa1f925a564b69f1fce5.html</filename>
    <file>FareParser.cpp</file>
    <file>FareParser.hpp</file>
    <file>FareParserHelper.cpp</file>
    <file>FareParserHelper.hpp</file>
    <file>FareQuoter.cpp</file>
    <file>FareQuoter.hpp</file>
    <file>FareRuleGenerator.cpp</file>
    <file>FareRuleGenerator.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/factory/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/factory/</path>
    <filename>dir_5aa916529aabb088f28b9d941727aec1.html</filename>
    <file>FacSimfqtServiceContext.cpp</file>
    <file>FacSimfqtServiceContext.hpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/service/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/service/</path>
    <filename>dir_67d70561be97ce23034ba75952c5f34f.html</filename>
    <file>SIMFQT_Service.cpp</file>
    <file>SIMFQT_ServiceContext.cpp</file>
    <file>SIMFQT_ServiceContext.hpp</file>
  </compound>
  <compound kind="dir">
    <name>test/simfqt/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/test/simfqt/</path>
    <filename>dir_d2e3bec5dd861d608db96a97a0727a47.html</filename>
    <file>FQTTestSuite.cpp</file>
  </compound>
  <compound kind="dir">
    <name>simfqt/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/</path>
    <filename>dir_da9ff119d07bee3f502d8b834a77124d.html</filename>
    <dir>simfqt/basic/</dir>
    <dir>simfqt/batches/</dir>
    <dir>simfqt/bom/</dir>
    <dir>simfqt/command/</dir>
    <dir>simfqt/factory/</dir>
    <dir>simfqt/service/</dir>
    <dir>simfqt/ui/</dir>
    <file>SIMFQT_Service.hpp</file>
    <file>SIMFQT_Types.hpp</file>
  </compound>
  <compound kind="dir">
    <name>test/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/test/</path>
    <filename>dir_420d855863259f4dc9c106c60e15be61.html</filename>
    <dir>test/simfqt/</dir>
  </compound>
  <compound kind="dir">
    <name>simfqt/ui/</name>
    <path>/builddir/build/BUILD/simfqt-1.00.1/simfqt/ui/</path>
    <filename>dir_4e59d3e2c946c0915e52a1da482320c1.html</filename>
    <dir>simfqt/ui/cmdline/</dir>
  </compound>
</tagfile>
